# MSP::CCS::Gnomonic Class Reference

`#include <Gnomonic.h>`

Inheritance diagram for MSP::CCS::Gnomonic:

List of all members.

## Public Member Functions

| Gnomonic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Gnomonic (const Gnomonic &g)
| ~Gnomonic (void)
Gnomonic & | operator= (const Gnomonic &g)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 101 of file Gnomonic.h.

## Constructor & Destructor Documentation

Gnomonic::Gnomonic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 122 of file Gnomonic.cpp.

Gnomonic::Gnomonic | ( | const Gnomonic & | g | ) |

Definition at line 197 of file Gnomonic.cpp.

Gnomonic::~Gnomonic | ( | void |  | ) |

Definition at line 214 of file Gnomonic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Gnomonic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 263 of file Gnomonic.cpp.

MSP::CCS::GeodeticCoordinates * Gnomonic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 355 of file Gnomonic.cpp.

MapProjection4Parameters * Gnomonic::getParameters | ( |  | ) | const

Definition at line 241 of file Gnomonic.cpp.

Gnomonic & Gnomonic::operator= | ( | const Gnomonic & | g | ) |

Definition at line 219 of file Gnomonic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/gnomonic/Gnomonic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/gnomonic/Gnomonic.cpp